#' \code{statsExpressions}
#'
#' @title statsExpressions: Tidy Dataframes and Expressions with Statistical Details
#'
#' @description
#'
#'
#'
#' `statsExpressions` package produces tidy dataframes with rich details for the
#' most common types of statistical approaches and tests: parametric,
#' nonparametric, robust, and Bayesian t-test, one-way ANOVA, correlation
#' analyses, contingency table analyses, and meta-analyses. The functions are
#' pipe-friendly and provide a consistent syntax to work with tidy data. These
#' dataframes additionally contain expressions with statistical details, and can
#' be used in graphing packages. This package also forms the statistical
#' processing backend for
#' [`ggstatsplot`](https://indrajeetpatil.github.io/ggstatsplot/) package.
#'
#' For more documentation, see the dedicated
#' \href{https://indrajeetpatil.github.io/statsExpressions/}{Website}.
#'
#' @docType package
#' @aliases statsExpressions statsExpressions-package
#' @name statsExpressions-package
"_PACKAGE"
